// Code generated by MockGen. DO NOT EDIT.
// Source: stores/interfaces.go

// Package stores is a generated GoMock package.
package stores

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	models "gitlab.com/mta-hosting-optimizer/models"
)

// MockHoster is a mock of Hoster interface.
type MockHoster struct {
	ctrl     *gomock.Controller
	recorder *MockHosterMockRecorder
}

// MockHosterMockRecorder is the mock recorder for MockHoster.
type MockHosterMockRecorder struct {
	mock *MockHoster
}

// NewMockHoster creates a new mock instance.
func NewMockHoster(ctrl *gomock.Controller) *MockHoster {
	mock := &MockHoster{ctrl: ctrl}
	mock.recorder = &MockHosterMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockHoster) EXPECT() *MockHosterMockRecorder {
	return m.recorder
}

// GetIPConfigs mocks base method.
func (m *MockHoster) GetIPConfigs() []*models.IPConfig {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetIPConfigs")
	ret0, _ := ret[0].([]*models.IPConfig)
	return ret0
}

// GetIPConfigs indicates an expected call of GetIPConfigs.
func (mr *MockHosterMockRecorder) GetIPConfigs() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetIPConfigs", reflect.TypeOf((*MockHoster)(nil).GetIPConfigs))
}
